[Debian-live-changes] r1605 - dists/trunk/live-webbuilder

daniel at alioth.debian.org daniel at alioth.debian.org
Tue May 22 18:26:06 UTC 2007


Author: daniel
Date: 2007-05-22 18:26:05 +0000 (Tue, 22 May 2007)
New Revision: 1605

Added:
   dists/trunk/live-webbuilder/cron
Removed:
   dists/trunk/live-webbuilder/cron-webbuilder
Modified:
   dists/trunk/live-webbuilder/Makefile
Log:


Modified: dists/trunk/live-webbuilder/Makefile
===================================================================
--- dists/trunk/live-webbuilder/Makefile	2007-05-22 18:06:50 UTC (rev 1604)
+++ dists/trunk/live-webbuilder/Makefile	2007-05-22 18:26:05 UTC (rev 1605)
@@ -10,7 +10,7 @@
 
 install: test
 	# Installing executables
-	install -D -m 0755 cron-webbuilder $(DESTDIR)/etc/cron.d/live-webbuilder
+	install -D -m 0755 cron $(DESTDIR)/etc/cron.d/live-webbuilder
 	install -D -m 0755 defaults $(DESTDIR)/etc/default/live-webbuilder
 	install -D -m 0755 live-webbuilder $(DESTDIR)/usr/lib/cgi-bin/live-webbuilder
 

Copied: dists/trunk/live-webbuilder/cron (from rev 1604, dists/trunk/live-webbuilder/cron-webbuilder)
===================================================================
--- dists/trunk/live-webbuilder/cron	                        (rev 0)
+++ dists/trunk/live-webbuilder/cron	2007-05-22 18:26:05 UTC (rev 1605)
@@ -0,0 +1,133 @@
+#!/bin/sh
+
+# webbuilder-cron - cron for live-webbuilder a web-interface to make-live
+# Copyright (C) 2007 Richard Nelson <rjent at rjent.pair.com>
+#
+# live-webbuilder comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+# This is free software, and you are welcome to redistribute it
+# under certain conditions; see COPYING for details.
+
+set -e
+
+# Reading defaults
+if [ -r /etc/default/live-webbuilder ]
+then
+	. /etc/default/live-webbuilder
+else
+	echo "E: /etc/default/live-webbuilder missing"
+	exit 1
+fi
+
+# Exit if disabled
+if [ "${WEBBUILD}" != "enabled" ]
+then
+	exit 0
+fi
+
+# Checking lock file
+if [ -f /var/lock/live-webbuilder.lock ]
+then
+	echo "E: live-webbuilder already/still running."
+	exit 1
+fi
+
+# Creating lock trap
+trap "test -f /var/lock/live-webbuilder.lock && rm -f /var/lock/live-webbuilder.lock; exit 0" 0 1 2 3 9 15
+
+# Creating lock file
+touch /var/lock/live-webbuilder.lock
+
+# Ok from here spin through the live-webbuilder files we have waiting to build
+for LWB in "${TEMPDIR}"/*.lwb
+do
+	# Pull in the meta file
+	. "${LWB}"
+	# Below are the current values that are expected to be their.
+	#echo ${BUILD_ID}
+	#echo ${EMAIL}
+	#echo ${BINARY_IMAGE}
+	#echo ${DISTRIBUTION}
+	#echo ${FILESYSTEM}
+	#echo ${PACKAGES_LISTS}
+	#echo ${PACKAGES}
+
+	# Assembling options
+	if [ -n "${BINARY_IMAGE}" ]
+	then
+		LIVE_OPTIONS="${LIVE_OPTIONS} --binary-images ${BINARY_IMAGE}"
+	fi
+
+	if [ -n "${DISTRIBUTION}" ]
+	then
+		LIVE_OPTIONS="${LIVE_OPTIONS} --distribution ${DISTRIBUTION}"
+	fi
+
+	if [ -n "${FILESYSTEM}" ]
+	then
+		LIVE_OPTIONS="${LIVE_OPTIONS} --filesystem ${FILESYSTEM}"
+	fi
+
+	if [ -n "${ISO_VOLUME}" ]
+	then
+		LIVE_OPTIONS="${LIVE_OPTIONS} --iso-volume ${ISO_VOLUME}"
+	fi
+
+	if [ -n "${MIRROR_BOOTSTRAP}" ]
+	then
+		LIVE_OPTIONS="${LIVE_OPTIONS} --mirror-bootstrap ${MIRROR_BOOTSTRAP}"
+	fi
+
+	if [ -n "${MIRROR_BOOTSTRAP_SECURITY}" ]
+	then
+		LIVE_OPTIONS="${LIVE_OPTIONS} --mirror-bootstrap-security ${MIRROR_BOOTSTRAP_SECURITY}"
+	fi
+
+	if [ -n "${MIRROR_BINARY}" ]
+	then
+		LIVE_OPTIONS="${LIVE_OPTIONS} --mirror-binary ${MIRROR_BINARY}"
+	fi
+
+	if [ -n "${MIRROR_BINARY_SECURITY}" ]
+	then
+		LIVE_OPTIONS="${LIVE_OPTIONS} --mirror-binary-security ${MIRROR_BINARY_SECURITY}"
+	fi
+
+	if [ -n "${PACKAGES}" ]
+	then
+		LIVE_OPTIONS="${LIVE_OPTIONS} --packages ${PACKAGES}"
+	fi
+
+	if [ -n "${PACKAGES_LISTS}" ]
+	then
+		LIVE_OPTIONS="${LIVE_OPTIONS} --packages-lists ${PACKAGES_LISTS}"
+	fi
+
+	mkdir -p "${DESTDIR}"/${BUILD_ID}
+	cd "${DESTDIR}"/${BUILD_ID}
+	MAILER="Greetings,\nBeginning your build at: `date -R`"
+	echo "Begin: `date -R`"  > "${DESTDIR}"/${BUILD_ID}/log.txt
+
+	# Below is where we try to put is all together.
+	make-live --root "${DESTDIR}"/${BUILD_ID} ${LIVE_OPTIONS} >> "${DESTDIR}"/${BUILD_ID}/log.txt 2>&1
+	MAILER="${MAILER}\nEnding your build at: `date -R`\nTo download your debian-live build see ${SITE_SERVER}/${BUILD_ID} "
+	echo "Ending: `date -R`"  >> "${DESTDIR}"/${BUILD_ID}/log.txt
+	echo  ${MAILER} | mail -s "End build of id - ${BUILD_ID}" ${EMAIL}
+
+	# Move the .lwb file to the target so we do not try to rebuild later
+	mv "${LWB}" "${DESTDIR}"/${BUILD_ID}
+
+	# Do cleanup after
+	#cd "${DESTDIR}"/${BUILD_ID}
+	#lh_clean
+
+	# Unmount some things if still around
+	if [ -f "${DESTDIR}"/${BUILD_ID}/chroot/proc/version ]
+	then
+		umount "${DESTDIR}"/${BUILD_ID}/chroot/proc
+	fi
+
+	if [ -d "${DESTDIR}"/${BUILD_ID}/chroot/sys/kernel ]
+	then
+		umount "${DESTDIR}"/${BUILD_ID}/chroot/sys
+	fi
+done

Deleted: dists/trunk/live-webbuilder/cron-webbuilder
===================================================================
--- dists/trunk/live-webbuilder/cron-webbuilder	2007-05-22 18:06:50 UTC (rev 1604)
+++ dists/trunk/live-webbuilder/cron-webbuilder	2007-05-22 18:26:05 UTC (rev 1605)
@@ -1,131 +0,0 @@
-#!/bin/sh -x
-
-# webbuilder-cron - cron for live-webbuilder a web-interface to make-live
-# Copyright (C) 2007 Richard Nelson <rjent at rjent.pair.com>
-#
-# live-webbuilder comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
-# This is free software, and you are welcome to redistribute it
-# under certain conditions; see COPYING for details.
-
-set -e
-
-# Reading defaults
-if [ -r /etc/defaults/live-webbuilder ]
-then
-	. /etc/defaults/live-webbuilder
-else
-	exit 1
-fi
-
-# Exit if disabled
-if [ "${WEBBUILD}" != "enabled" ]
-then
-	exit 0
-fi
-
-# Checking lock file
-if [ -f /var/lock/live-webbuilder ]
-then
-	echo "E: live-webbuilder already/still running."
-	exit 1
-fi
-
-# Creating lock trap
-trap "test -f /var/lock/live-webbuilder && rm -f /var/lock/live-webbuilder; exit 0" 0 1 2 3 9 15
-
-# Creating lock file
-touch /var/lock/live-webbuilder
-
-# Ok from here spin through the live-webbuilder files we have waiting to build
-for LWB in "${TEMPDIR}"/*.lwb
-do
-	# Pull in the meta file
-	. "${LWB}"
-	# Below are the current values that are expected to be their.
-	#echo ${BUILD_ID}
-	#echo ${EMAIL}
-	#echo ${BINARY_IMAGE}
-	#echo ${DISTRIBUTION}
-	#echo ${FILESYSTEM}
-	#echo ${PACKAGES_LISTS}
-	#echo ${PACKAGES}
-
-	# Assembling options
-	if [ -n "${BINARY_IMAGE}" ]
-	then
-		LIVE_OPTIONS="${LIVE_OPTIONS} --binary-images ${BINARY_IMAGE}"
-	fi
-
-	if [ -n "${DISTRIBUTION}" ]
-	then
-		LIVE_OPTIONS="${LIVE_OPTIONS} --distribution ${DISTRIBUTION}"
-	fi
-
-	if [ -n "${FILESYSTEM}" ]
-	then
-		LIVE_OPTIONS="${LIVE_OPTIONS} --filesystem ${FILESYSTEM}"
-	fi
-
-	if [ -n "${ISO_VOLUME}" ]
-	then
-		LIVE_OPTIONS="${LIVE_OPTIONS} --iso-volume ${ISO_VOLUME}"
-	fi
-
-	if [ -n "${MIRROR_BOOTSTRAP}" ]
-	then
-		LIVE_OPTIONS="${LIVE_OPTIONS} --mirror-bootstrap ${MIRROR_BOOTSTRAP}"
-	fi
-
-	if [ -n "${MIRROR_BOOTSTRAP_SECURITY}" ]
-	then
-		LIVE_OPTIONS="${LIVE_OPTIONS} --mirror-bootstrap-security ${MIRROR_BOOTSTRAP_SECURITY}"
-	fi
-
-	if [ -n "${MIRROR_BINARY}" ]
-	then
-		LIVE_OPTIONS="${LIVE_OPTIONS} --mirror-binary ${MIRROR_BINARY}"
-	fi
-
-	if [ -n "${MIRROR_BINARY_SECURITY}" ]
-	then
-		LIVE_OPTIONS="${LIVE_OPTIONS} --mirror-binary-security ${MIRROR_BINARY_SECURITY}"
-	fi
-
-	if [ -n "${PACKAGES}" ]
-	then
-		LIVE_OPTIONS="${LIVE_OPTIONS} --packages ${PACKAGES}"
-	fi
-
-	if [ -n "${PACKAGES_LISTS}" ]
-	then
-		LIVE_OPTIONS="${LIVE_OPTIONS} --packages-lists ${PACKAGES_LISTS}"
-	fi
-
-	mkdir -p "${DESTDIR}"/${BUILD_ID}
-	cd "${DESTDIR}"/${BUILD_ID}
-	MAILER="Greetings,\nBeginning you build at: `date -R`"
-	echo "Begin: `date -R`"  > "${DESTDIR}"/${BUILD_ID}/log.txt
-	# Below is where we try to put is all together.
-	make-live --root "${DESTDIR}"/${BUILD_ID} ${LIVE_OPTIONS} >> "${DESTDIR}"/${BUILD_ID}/log.txt 2>&1
-	MAILER="${MAILER}\nEnding your build at: `date -R`\nTo download your debian-live build see ${SITE_SERVER}/${BUILD_ID} "
-	echo "Ending: `date -R`"  >> "${DESTDIR}"/${BUILD_ID}/log.txt
-	echo  ${MAILER} | mail -s "End build of id - ${BUILD_ID}" ${EMAIL}
-
-	# Move the .lwb file to the target so we do not try to rebuild later
-	mv "${LWB}" "${DESTDIR}"/${BUILD_ID}
-
-	# Do cleanup after
-	#cd "${DESTDIR}"/${BUILD_ID}
-	#lh_clean
-
-	# Unmount some things if still around
-	if [ -e "${DESTDIR}"/${BUILD_ID}/chroot/proc/version ]
-	then
-		umount "${DESTDIR}"/${BUILD_ID}/chroot/proc
-	fi
-
-	if [ -d "${DESTDIR}"/${BUILD_ID}/chroot/sys/kernel ]
-	then
-		umount "${DESTDIR}"/${BUILD_ID}/chroot/sys
-	fi
-done




More information about the Debian-live-changes mailing list